View all methods
apiKeys.list
List visible API keys for your account.
Facts
| Method | GET https://api.getdx.com/apiKeys.list |
| Required scope | apiKeys:read |
Arguments
| Name | Type | Description |
|---|---|---|
token |
Token |
Auth token passed as an HTTP header. |
Usage info
- Results are ordered by
created_atin descending order. - Key token values are never returned in this endpoint.
- Last used at is updated at most once per rolling minute
Example request
This is a typical request:
curl -sS "https://api.getdx.com/apiKeys.list" \
-H "Authorization: Bearer xxxx-xxxxxxxxx-xxxx" \
-H "Accept: application/json"
Example response
This is a typical success response:
{
"ok": true,
"api_keys": [
{
"id": "MTE5NjE2",
"name": "Data sync key",
"scopes": ["apiKeys:read"],
"last_used_at": "2026-06-05T17:33:01.114Z",
"created_at": "2026-05-01T12:00:00.000Z"
}
]
}
Response fields
| Field | Type | Description |
|---|---|---|
ok |
Boolean |
Indicates whether the request succeeded. |
api_keys |
Array |
List of API keys for the account. |
Each object in api_keys includes:
| Field | Type | Description |
|---|---|---|
id |
String |
API key ID. |
name |
String |
API key name. |
scopes |
Array |
Scopes assigned to the API key. |
last_used_at |
String | null |
Timestamp of last usage (ISO 8601). |
created_at |
String |
Timestamp when the key was created (ISO 8601). |
Errors
This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.
| Error | Description |
|---|---|
not_authed |
No authentication token provided. |
not_authorized |
The bearer token does not include apiKeys:read. |